﻿#wrapper-fv {
    margin: 10px;
    padding: 10px;
    width: fit-content;
    font-family: 'Red Hat Display';
    display: flex;
}

#circ-generacion, #circ-autoconsumo, #circ-consumo {
    width: 130px;
    height: 130px;
    border: 1px solid white;
    border-radius: 63px;
}

#bloque-sunrise {
    font-family: 'redhat';
    text-align: center;
    font-size: 24px;
}

#circ-generacion {
}

#linea-grid {
    width: 150px;
    margin-top: 130px;
    margin-bottom: 60px;
}

#linea-panel {
    width: 150px;
    margin-top: 130px;
    margin-left: -70px;
    margin-bottom: 60px;
}

#imagen-panel {
    margin-top: 74px;
    width: 130px;
    margin-left: -50px;
    margin-bottom: -60px;
}

#imagen-grid {
    width: 130px;
    margin-left: 75px;
    margin-top: 37px;
    margin-bottom: -60px;
}

#imagen-green {
    width: 50px;
    margin-left: auto;
    margin-right: auto;
}

#imagen-sunrise {
    width: 300px;
}

#imagen-casa {
    width: 141px;
    margin-top: -152px;
    margin-left: 55px;
}

#circ-consumo {
    margin-top: 185px;
    margin-left: 60px;
    box-shadow: rgba(6, 24, 44, 0.4) 0px 0px 0px 5px, rgba(6, 24, 44, 0.65) 0px 4px 6px -1px, rgba(255, 255, 255, 0.08) 0px 4px 0px inset;
    width: 250px;
    border-radius: 20px;
    height: 164px;
}

#circ-autoconsumo {
    margin-left: -70px;
}

.loader-ring {
    width: 130px;
    height: 130px;
}

.loader-ring-fotovoltaica {
    width: 130px;
    height: 130px;
    -moz-border-radius: 130px;
    -webkit-border-radius: 130px;
    border-radius: 130px;
    -moz-box-shadow: 0 2px 0 #3c6 inset;
    -webkit-box-shadow: 0 2px 0 #3c6 inset;
    box-shadow: 0 2px 0 #3c6 inset;
    animation: rotate-360 2s linear infinite;
}

.loader-ring-red {
    width: 130px;
    height: 130px;
    -moz-border-radius: 130px;
    -webkit-border-radius: 130px;
    border-radius: 130px;
    -moz-box-shadow: 0 4px 0 #1a47a3 inset;
    -webkit-box-shadow: 0 4px 0 #1a47a3 inset;
    box-shadow: 0 4px 0 #1a47a3 inset;
    animation: rotate-360 2s linear infinite;
}

.loader-ring-track {
    width: 130px;
    height: 130px;
    margin-top: -130px;
    -moz-border-radius: 130px;
    -webkit-border-radius: 130px;
    border-radius: 130px;
    -moz-box-shadow: 0 0 10px 2px rgba(0, 0, 0, 0.3) inset;
    -webkit-box-shadow: 0 0 10px 2px rgba(0, 0, 0, 0.3) inset;
    box-shadow: 0 0 10px 2px rgba(0, 0, 0, 0.3) inset;
}

@keyframes rotate-360 {
    from {
        -moz-transform: rotate(0);
        -ms-transform: rotate(0);
        -webkit-transform: rotate(0);
        transform: rotate(0);
    }

    to {
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-webkit-keyframes spin {
    from {
        transform: translate(-50%, -50%) rotate(0);
    }

    to {
        transform: translate(-50%, -50%) rotate(360deg);
    }
}

@keyframes spin {
    from {
        transform: translate(-50%, -50%) rotate(0);
    }

    to {
        transform: translate(-50%, -50%) rotate(360deg);
    }
}

.mycanvas {
    margin-top: -10px;
    margin-left: 80px;
    width: 130px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: -1;
}

.mycanvas-grid {
    margin-top: -10px;
    margin-left: 180px;
    width: 130px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: -1;
}

.loader-grid, .loader-grid-reverse {
    position: relative;
    margin-top: 54px;
    margin-left: -301px;
    width: 190px;
    height: 5px;
    box-shadow: 0 0 4px 2px rgba(0, 0, 0, 0.3) inset;
}

    .loader-grid::before {
        content: '';
        position: absolute;
        width: 100%;
        height: 100%;
        background: #1a47a3;
        transform-origin: left;
        animation: animate 3s linear infinite;
    }

    .loader-grid-reverse::before {
        content: '';
        position: absolute;
        width: 100%;
        height: 100%;
        background: #1a47a3;
        transform-origin: right;
        animation: animatereverse 3s linear infinite;
    }

.loader {
    position: relative;
    margin-top: 50px;
    width: 130px;
    height: 5px;
    box-shadow: 0 0 4px 2px rgba(0, 0, 0, 0.3) inset;
}

    .loader::before {
        content: '';
        position: absolute;
        width: 100%;
        height: 100%;
        background: #3c6;
        transform-origin: left;
        animation: animate 3s linear infinite;
    }

    .loader::after {
        content: '';
        position: absolute;
        width: 20px;
        margin-left: -75px;
        margin-top: -110px;
        height: 20px;
        background: gold;
        border-radius: 50%;
        transform: translateY(-60px) scale(0);
        animation: animateDot 3s linear infinite;
        box-shadow: 0px 0px 40px 20px #ffa701;
    }

@keyframes animateDot {
    0% {
        transform: scale(1) translateY(-60px);
    }

    59.999% {
        transform: scale(1) translateY(50px);
    }

    60% {
        transform: scale(0) translateY(120px);
    }
}

@keyframes animate {
    0%,20% {
        transform: scaleX(0);
    }

    40% {
        transform: scaleX(1);
        transform-origin: left;
    }

    40.000001%, 41% {
        transform: scaleX(1);
        transform-origin: right;
    }

    80%,100% {
        transform: scaleX(0);
        transform-origin: right;
    }
}

@keyframes animatereverse {
    0%,20% {
        transform: scaleX(0);
    }

    40% {
        transform: scaleX(1);
        transform-origin: right;
    }

    40.000001%, 41% {
        transform: scaleX(1);
        transform-origin: left;
    }

    80%,100% {
        transform: scaleX(0);
        transform-origin: left;
    }
}

@keyframes animategrid {
    0%,20% {
        transform: scaleX(0);
    }

    40% {
        transform: scaleX(1);
        transform-origin: right;
    }

    40.000001%, 41% {
        transform: scaleX(1);
        transform-origin: left;
    }

    80%,100% {
        transform: scaleX(0);
        transform-origin: left;
    }
}

#p-totalLoadPower {
    font-size: 20px;
    margin-top: -17px;
    text-align: center;
    font-family: 'redhat';
    width: 110px;
}

#p-titulototalLoadPower {
    font-size: 11px;
    font-family: 'redhat';
    width: 120px;
    margin-left: 7px;
    margin-top: -75px;
}

#p-totalLoadPower::after {
    content: 'kW';
}

#p-psum {
    font-size: 20px;
    margin-top: -20px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    font-family: 'redhat';
    width: 100px;
}

#p-psumTitulo {
    font-size: 16px;
    margin-left: 15px;
    margin-top: -94px;
    font-family: 'redhat';
    width: 105px;
}

#p-psum::after {
    content: 'kW';
}

#bloque-suministro {
    text-align: center;
    font-family: 'redhat';
}

#bloque-green1 {
    padding: 8px;
    text-align: center;
    font-family: 'redhat';
    border-right: 2px solid green;
    width: 50vw;
    font-size: 20px;
}

#bloque-green2 {
    text-align: center;
    padding: 8px;
    width: 50vw;
    font-family: 'redhat';
    font-size: 20px;
}

#p-dayEnergy {
    font-family: 'redhat';
    width: 160px;
}

#p-gridPurchasedEnergy {
    font-family: 'redhat';
}

#p-gridSellEnergy {
    font-family: 'redhat';
    margin-left: 100px;
}

#volcado {
    font-family: 'redhat';
    display: flex;
    margin-left: -340px;
}

#boton-connect {
    width: 50px;
    height: 50px;
    ;
    transition: 0.3s ease-out;
    border-radius: 50%;
    margin-top: 8px;
    margin-left: 10px;
    border: 1px solid white;
}

    #boton-connect:hover {
        cursor: pointer;
        transform: scale(1.2);
        border: 1px solid #1a47a3;
        background-color: floralwhite;
        border-radius: 50%;
        transition: 0.3s ease-out;
    }